E-MailRelay

Public Member Functions | Protected Member Functions | List of all members
GNet::ClientPtrBase Class Reference

The non-template part of GNet::ClientPtr. More...

`#include <gclientptr.h>`

Inheritance diagram for GNet::ClientPtrBase:

## Public Member Functions
G::Slot::Signal< const std::string &, const std::string &, const std::string & > & | eventSignal ()
| See GNet::Client::eventSignal(). More...
G::Slot::Signal< const std::string & > & | deleteSignal ()
| A signal that is triggered as the client is deleted following an exception handled by this class. More...
G::Slot::Signal< const std::string & > & | deletedSignal ()
| A signal that is triggered after deleteSignal() once the client has been deleted and the ClientPtr is empty. More...
| ClientPtrBase (const ClientPtrBase &)=delete
| ClientPtrBase (ClientPtrBase &&)=delete
void | operator= (const ClientPtrBase &)=delete
void | operator= (ClientPtrBase &&)=delete
Public Member Functions inherited from GNet::ExceptionHandler
virtual | ~ExceptionHandler ()
| Destructor. More...
virtual void | onException (ExceptionSource *source, std::exception &e, bool done)=0
| Called by the event loop when an exception is thrown out of an event loop callback. More...
| ExceptionHandler (const ExceptionHandler &)=delete
| ExceptionHandler (ExceptionHandler &&)=delete
void | operator= (const ExceptionHandler &)=delete
void | operator= (ExceptionHandler &&)=delete
Public Member Functions inherited from GNet::ExceptionSource
virtual std::string | exceptionSourceId () const
| Returns an identifying string for logging purposes, or the empty string. More...
virtual | ~ExceptionSource ()
| Destructor. More...
| ExceptionSource (const ExceptionSource &)=delete
| ExceptionSource (ExceptionSource &&)=delete
void | operator= (const ExceptionSource &)=delete
void | operator= (ExceptionSource &&)=delete

## Protected Member Functions
| ClientPtrBase ()
| Default constructor.
void | connectSignals (Client &)
| Connects the given client's signals to this object's slots. More...
void | disconnectSignals (Client &) noexcept
| Disconnects the given client's signals from this object's slots. More...

## Detailed Description

The non-template part of GNet::ClientPtr.

It is an ExcptionHandler so that exceptions thrown by the Client out to the event loop can be delivered back to reset the ClientPtr with the expected Client onDelete() semantics (like GNet::ServerPeer).

Definition at line 45 of file gclientptr.h.

## Member Function Documentation

## ◆ connectSignals()

void GNet::ClientPtrBase::connectSignals | ( | Client & | client | ) |
| protected

Connects the given client's signals to this object's slots.

Definition at line 27 of file gclientptr.cpp.

## ◆ deletedSignal()

G::Slot::Signal< const std::string & > & GNet::ClientPtrBase::deletedSignal | ( |  | ) |

A signal that is triggered after deleteSignal() once the client has been deleted and the ClientPtr is empty.

Definition at line 32 of file gclientptr.cpp.

## ◆ deleteSignal()

G::Slot::Signal< const std::string & > & GNet::ClientPtrBase::deleteSignal | ( |  | ) |

A signal that is triggered as the client is deleted following an exception handled by this class.

The parameter is normally the exception string, but it is the empty string for GNet::Done exceptions or if the client was finished().

Definition at line 42 of file gclientptr.cpp.

## ◆ disconnectSignals()

void GNet::ClientPtrBase::disconnectSignals | ( | Client & | client | ) |
| protected noexcept

Disconnects the given client's signals from this object's slots.

Definition at line 47 of file gclientptr.cpp.

## ◆ eventSignal()

G::Slot::Signal< const std::string &, const std::string &, const std::string & > & GNet::ClientPtrBase::eventSignal | ( |  | ) |

See GNet::Client::eventSignal().

Definition at line 37 of file gclientptr.cpp.

The documentation for this class was generated from the following files:

- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gclientptr.h
- /usr/src/slapt-src-x86_64/network/emailrelay/emailrelay-2.3/src/gnet/gclientptr.cpp